#auto_version

#import <shaders/include/instanced.glsl>
#import <shaders/include/rect_offsets.glsl>

// instance attributes
in vec2 Position;
in vec2 Size;
in vec4 Color;

out vec4 vColor;

void main() {
    vec2 pos = Position + (Offset * Size);
    gl_Position = projectPos(pos);

    applyClip(pos);

    vColor = Color;
}
